## Interface Swift_Transport_SmtpAgent

(line 17)

## Description

Located in File: /vendors/swiftMailer/classes/Swift/Transport/SmtpAgent.php

##### Wraps an IoBuffer to send/receive SMTP commands/responses.

- author: - Chris Corbyn

## Class Variables

Summary:

## Class Constants

Summary:

## Method Detail

Summary:
void executeCommand (string $command, [int[] $codes = array()], [string[] &$failures = null])
Swift_Transport_IoBuffer getBuffer ()

#### Method executeCommand (line 34)

#### void executeCommand( string $command, [int[] $codes = array()], [string[] &$failures = null])

##### Run a command against the buffer, expecting the given response codes.

If no response codes are given, the response will not be validated. If codes are given, an exception will be thrown on an invalid response.

#### Parameters

- string $command:
- int[] $codes:
- string[] &$failures:

#### Info

- access - public

#### Method getBuffer (line 24)

#### Swift_Transport_IoBuffer getBuffer( )

##### Get the IoBuffer where read/writes are occurring.

#### Info

- access - public

## Inherited Variables

### Inherited Class Variable Summary

## Inherited Methods

### Inherited Method Summary

Documentation generated on Fri, 12 Nov 2010 20:45:30 +0000 by phpDocumentor 1.4.3